RMADISON.DE(1)

BEZEICHNUNG
rmadison - fragt Pakete aus der Debian-Archivdatenbank aus der Ferne ab

ÜBERSICHT

rmadison [OPTIONEN] PAKET …

BESCHREIBUNG
dak ls fragt die Debian-Archivdatenbank (»projectb«) ab und zeigt, welche Paketversion je Architektur/Komponente/Suite registriert ist. Das CGI unter https://qa.debian.org/madison.php stellt diesen Dienst zur Verfügung ohne SSH-Zugriff auf ftp-master.debian.org oder den Spiegel auf mirror.ftp-master.debian.org zu benötigen. Dieses Skript, rmadison, ist eine Befehlszeilenoberfläche für dieses CGI.

OPTIONEN

-a, --architecture=ARCHITEKTUR
    zeigt nur Informationen für ARCHITEKTUR(en).

-b, --binary-type=TYP
    zeigt nur Informationen für binären TYP.

-c, --component=KOMPONENTE
    zeigt nur Informationen für KOMPONENTE(n).

-g, --greaterorequal
    zeigt die Buildd-Information »dep-wait Paket >= {höchste Version}«.

-G, --greaterthan
    zeigt die Buildd-Information »dep-wait Paket >> {höchste Version}«.

-h, --help
    zeigt diese Hilfe und wird beendet.

-s, --suite=SUITE
    zeigt nur Informationen für diese Suite.

-r, --regex
    betrachtet PAKET als regulären Ausdruck.

    Hinweis: Da -r leicht für einen Diensteverweigerungsangriff auf die Datenbank benutzt werden kann (»-r .«), wird diese Option nicht durch das CGI auf qa.debian.org und die meisten anderen Installationen unterstützt.

-S, --source-and-binary
    zeigt Informationen über die binären Kindpakete von Quellpaketen.

-t, --time
    zeigt eine Projectb-Momentaufnahme und die Zeit zum Neuladen (nicht von allen Archiven unterstützt).

-u, --url=URL[,URL …]
    use URL for the query. Supported shorthands are
     debian https://api.ftp-master.debian.org/madison
     new https://api.ftp-master.debian.org/madison?s=new
     qa https://qa.debian.org/madison.php
     ubuntu https://ubuntu-archive-team.ubuntu.com/madison.cgi
     udd https://qa.debian.org/cgi-bin/madison.cgi
     all https://qa.debian.org/cgi-bin/madison.cgi?table=all
     archive https://qa.debian.org/cgi-bin/madison.cgi?table=archived
     ports https://qa.debian.org/cgi-bin/madison.cgi?table=ports

    Eine Methode, neue Abkürzungen hinzuzufügen, finden Sie nachfolgend bei der Variable RMADISON_URL_MAP_.

--version
    zeigt die Version und wird beendet.

--no-conf, --noconf
    liest die Devscripts-Konfigurationsdateien nicht.

ARCHITEKTUR, KOMPONENTE und SUITE können durch Kommas (oder Leerzeichen) getrennte Listen sein, z.B. --architecture=amd64,i386.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge von einer Shell eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien außer Kraft zu setzen. Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

RMADISON_URL_MAP_ABKÜRZUNG=URL
    fügt der oben aufgeführten Zusammenstellung von Abkürzungs-URLs einen Eintrag hinzu. ABKÜRZUNG sollte durch die Abkürzungsform ersetzt werden, die als Bezug zu URL benutzt wird.

    Mehrere Abkürzungseinträge können mittels mehrerer RMADISON_URL_MAP_*-Variablen angegeben werden.

RMADISON_DEFAULT_URL=URL
    setzt die Standard-URL, die benutzt werden soll, solange sie nicht durch eine Befehlszeilenoption außer Kraft gesetzt wird. Für Debian ist die Voreinstellung »debian«, für Ubuntu ist es »ubuntu«.

RMADISON_ARCHITECTURE=ARCHITEKTUR
    setzt die Standardarchitektur, die benutzt werden soll, solange sie nicht durch eine Befehlszeilenoption außer Kraft gesetzt wird. Um eine uneingeschränkte Abfrage auszuführen, wenn RMADISON_ARCHITECTURE gesetzt wurde, verwenden Sie --architecture='*'.

RMADISON_SSL_CA_FILE=DATEI
    verwendet die angegebene CA-Datei anstelle des vorgegebenen CA-Bündels für Curl/Wget. Es wird als --cacert an Curl und als --ca-certificate an Wget übergeben.

RMADISON_SSL_CA_PATH=PFAD
    verwendet das angegebene CA-Verzeichnis anstelle des vorgegebenen CA-Bündels für Curl/Wget. Es wird als --capath an Curl und als --ca-directory an Wget übergeben.

ANMERKUNGEN
dak ls wurde früher madison genannt.

Das von Rmadison benutzte Protokoll ist recht einfach, das CGI akzeptiert die Parameter »a«, »b«, »c«, »g«, »G«, »r«, »s«, »S«, »t« und »package«. Der Parameter »text« wird übergeben, um Klartextausgabe zu aktivieren.

SIEHE AUCH
dak(1), madison-lite(1)

AUTOR
Rmadison und https://qa.debian.org/madison.php wurden von Christoph Berg <myon@debian.org> geschrieben. Dak wurde von James Troup <james@nocrew.org>, Anthony Towns <ajt@debian.org> und anderen verfasst.